Package org.kie.internal.builder.conf

# Class DefaultDialectOption

java.lang.Object
org.kie.internal.builder.conf.DefaultDialectOption

All Implemented Interfaces:
  `Serializable`, `Option`, `SingleValueOption`, `KnowledgeBuilderOption`, `SingleValueKieBuilderOption`

public class DefaultDialectOption extends Object implements SingleValueKieBuilderOption
A class for the default dialect configuration.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static OptionKey<DefaultDialectOption>`
  `KEY`
  `static final String`
  `PROPERTY_NAME`
  The property name for the default DIALECT

  ### Fields inherited from interface org.kie.internal.builder.conf.KnowledgeBuilderOption

  `TYPE`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `dialectName()`
  Returns the name of the dialect configured as default
  `boolean`
  `equals(Object obj)`
  `static DefaultDialectOption`
  `get(String dialectName)`
  This is a factory method for this DefaultDialect configuration.
  `String`
  `getPropertyName()`
  `int`
  `hashCode()`
  `String`
  `propertyName()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface org.kie.internal.builder.conf.KnowledgeBuilderOption

  `type`

- ## Field Details

  - ### PROPERTY_NAME

    public static final String PROPERTY_NAME
    The property name for the default DIALECT
    See Also:
      - Constant Field Values

  - ### KEY

    public static OptionKey<DefaultDialectOption> KEY

- ## Method Details

  - ### get

    public static DefaultDialectOption get(String dialectName)
    This is a factory method for this DefaultDialect configuration. The factory method is a best practice for the case where the actual object construction is changed in the future.
    Parameters:
      `name` - the name of the dialect to be configured as default
    Returns:
      the actual type safe default dialect configuration.

  - ### getPropertyName

    public String getPropertyName()
    Specified by:
      `getPropertyName` in interface `Option`

  - ### propertyName

    public String propertyName()
    Specified by:
      `propertyName` in interface `Option`

  - ### dialectName

    public String dialectName()
    Returns the name of the dialect configured as default
    Returns:

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### hashCode

    public int hashCode()
    Overrides:
      `hashCode` in class `Object`

  - ### equals

    public boolean equals(Object obj)
    Overrides:
      `equals` in class `Object`